#!/bin/sh -e

# sanity check
if [ "$USER" != 'rattail' ]; then
    echo ''
    echo "Please run this script as 'rattail' user:"
    echo ''
    echo "   sudo -u rattail $0"
    exit 1
fi

cd ${envroot}

RATTAIL_ONAGER='bin/rattail-onager -c app/quiet.conf -P --no-versioning'

$RATTAIL_ONAGER import-catapult --dbkey production --warnings
